Bug 1536487 - [RFE] Expose an Ansible provider for Remote Exection
Summary: [RFE] Expose an Ansible provider for Remote Exection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 13:59 UTC by Bryan Kearney
Modified: 2019-11-05 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:29:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:29:54 UTC

Description Bryan Kearney 2018-01-19 13:59:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ivan Necas 2018-04-24 07:22:52 UTC
This should be moved to POST, right?

Comment 2 Marek Hulan 2018-04-24 11:44:56 UTC
Correct, thanks!

Comment 3 Martin Korbel 2018-09-13 12:37:05 UTC
VERIFIED on Sat6.4#21


Reproducer:
1. We have got Sat6.4 and some client machine. On client machine we have to upload Satellite public SSH key.
   > curl -k https://<sat-fqdn>:9090/ssh/pubkey >> ~/.ssh/authorized_keys

2. install some Ansible role to satellite
   > ansible-galaxy install -p /etc/ansible/roles/ linuxhq.setup

3. import this role to Satellite
   > hammer ansible roles import
   ---|--------------------------------|--------------------
   ID | NAME                           | IMPORTED AT        
   ---|--------------------------------|--------------------
   2  | linuxhq.setup                  | 2018/09/11 07:17:47
   3  | RedHatInsights.insights-client | 2018/09/11 07:17:47
   ---|--------------------------------|--------------------

4. assign this role to client profile. We can not use attribute --ansible-roles, because it does not work (bz1590854). 
   > hammer host update --ansible-role-ids 2 --name  host-8.redhat.com
   Host updated.


5. List of job templates
> hammer job-template list

----|---------------------------------------|--------------------|----------|-------------
ID  | NAME                                  | JOB CATEGORY       | PROVIDER | TYPE        
----|---------------------------------------|--------------------|----------|-------------
126 | Ansible Roles - Ansible Default       | Ansible Playbook   | Ansible  | job_template
127 | Ansible Roles - Install from Galaxy   | Ansible Galaxy     | Ansible  | job_template
128 | Ansible Roles - Install from git      | Ansible Roles Insta| Ansible  | job_template
129 | Ansible - Run insights maintenance pla| Ansible Playbook   | Ansible  | job_template
...


6. Run a job with command line inputs
> hammer job-invocation create --job-template "Ansible Roles - Ansible Default" --search-query "name ~ host-8.redhat.com"
Job invocation 6 created
[..................................................................................] [100%]
1 task(s), 1 success, 0 fail

Comment 6 errata-xmlrpc 2018-10-16 15:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.